###Index
* [言語非依存](#%e8%a8%80%e8%aa%9e%e9%9d%9e%e4%be%9d%e5%ad%98)
    * [アクセシビリティ](#%e3%82%a2%e3%82%af%e3%82%bb%e3%82%b7%e3%83%93%e3%83%aa%e3%83%86%e3%82%a3)
    * [iOS](#ios)
	* [組み込みシステム](#%e7%b5%84%e3%81%bf%e8%be%bc%e3%81%bf%e3%82%b7%e3%82%b9%e3%83%86%e3%83%a0)
    * [グラフィックスプログラミング](#%e3%82%b0%e3%83%a9%e3%83%95%e3%82%a3%e3%83%83%e3%82%af%e3%82%b9%e3%83%97%e3%83%ad%e3%82%b0%e3%83%a9%e3%83%9f%e3%83%b3%e3%82%b0)
    * [グラフィックユーザーインターフェイス](#%e3%82%b0%e3%83%a9%e3%83%95%e3%82%a3%e3%83%83%e3%82%af%e3%83%a6%e3%83%bc%e3%82%b6%e3%83%bc%e3%82%a4%e3%83%b3%e3%82%bf%e3%83%bc%e3%83%95%e3%82%a7%e3%82%a4%e3%82%b9)
    * [正規表現](#%e6%ad%a3%e8%a6%8f%e8%a1%a8%e7%8f%be)
	* [セキュリティ](#%e3%82%bb%e3%82%ad%e3%83%a5%e3%83%aa%e3%83%86%e3%82%a3)
    * [ソフトウェアアーキテクチャ](#%e3%82%bd%e3%83%95%e3%83%88%e3%82%a6%e3%82%a7%e3%82%a2%e3%82%a2%e3%83%bc%e3%82%ad%e3%83%86%e3%82%af%e3%83%81%e3%83%a3)
	* [ソフトウェア品質](#%e3%82%bd%e3%83%95%e3%83%88%e3%82%a6%e3%82%a7%e3%82%a2%e5%93%81%e8%b3%aa)
    * [その他の話題](#%e3%81%9d%e3%81%ae%e4%bb%96%e3%81%ae%e8%a9%b1%e9%a1%8c)
* [AppleScript](#applescript)
* [AWK](#awk)
* [Bash](#bash)
* [C](#c)
* [C++](#c-1)
* [CoffeeScript](#coffeescript)
* [Common Lisp](#common-lisp)
* [Emacs Lisp](#emacs-lisp)
* [Erlang](#erlang)
* [Git](#git)
* [Go](#go)
* [Haskell](#haskell)
* [Haxe](#haxe)
* [Java](#java)
* [JavaScript](#javascript)
    * [Backbone.js](#backbonejs)
    * [D3.js](#d3js)
    * [jQuery](#jquery)
    * [Node.js](#nodejs)
* [LaTeX](#latex)
* [Lua](#lua)
* [NoSQL](#nosql)
* [Objective-C](#objective_c)
* [OCaml](#ocaml)
* [Perl](#perl)
* [Processing](#processing)
* [PHP](#php)
* [PowerShell](#powershell)
* [Prolog](#prolog)
* [Python](#python)
* [R](#r)
* [Ruby](#ruby)
* [Scheme](#scheme)
* [Standard ML](#standard-ml)
* [Squeak](#squeak)
* [Tcl/Tk](#tcl-ftk)
* [VBA](#vba)
* [Vim](#vim)


###言語非依存
####アクセシビリティ

* [iOS アクセシビリティ プログラミング ガイド](https://developer.apple.com/jp/devcenter/ios/library/documentation/iPhoneAccessibility.pdf) (PDF) - Apple Developer
* [Accessible Rich Internet Applications](https://developer.mozilla.org/ja/docs/ARIA/Accessible_Rich_Internet_Applications) - MDN
* [アクセシビリティのための設計](http://msdn.microsoft.com/ja-jp/library/windows/apps/hh700407.aspx) - MSDN Library


####iOS

* [iOSアプリケーション プログラミングガイド](https://developer.apple.com/jp/devcenter/ios/library/documentation/iPhoneAppProgrammingGuide.pdf) (PDF) - Apple Developer
* [初めての iOS アプリケーション](https://developer.apple.com/jp/devcenter/ios/library/documentation/iPhone101.pdf) (PDF) - Apple Developer
* [Cocoa Programming Tips 1001](http://hmdt.jp/tips/cocoa/index.html) - 木下誠


####組み込みシステム

* [【改訂版】組込みソフトウェア開発向け コーディング作法ガイド［C言語版］](http://www.ipa.go.jp/files/000005123.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア開発向け コーディング作法ガイド［C++言語版］](http://www.ipa.go.jp/files/000005142.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [【改訂版】 組込みソフトウェア開発向け 品質作り込みガイド](http://www.ipa.go.jp/files/000005146.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [【改訂版】 組込みソフトウェア向け 開発プロセスガイド](http://www.ipa.go.jp/files/000005126.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア向け プロジェクトマネジメントガイド［計画書編］](http://www.ipa.go.jp/files/000005116.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア向け 設計ガイド ESDR［事例編］](http://www.ipa.go.jp/files/000005148.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア向け プロジェクト計画立案トレーニングガイド](http://www.ipa.go.jp/files/000005145.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)


####グラフィックスプログラミング

* [GLUTによる「手抜き」OpenGL入門](http://www.wakayama-u.ac.jp/~tokoi/opengl/libglut.html) - 床井浩平 (和歌山大学システム工学部デザイン情報学科)
* [仮想物理実験室構築のためのOpenGL, WebGL, GLSL入門](http://www.natural-science.or.jp/laboratory/opengl_intro.php) - 遠藤理平 (特定非営利活動法人 natural science)
* [iOS OpenGL ES プログラミングガイド](https://developer.apple.com/jp/devcenter/ios/library/documentation/OpenGLES_ProgrammingGuide.pdf) (PDF) - Apple Developer

* [DirectX を使った初めての Windows ストア アプリの作成](http://msdn.microsoft.com/ja-jp/library/windows/apps/br229580.aspx) - MSDN Library
* [CUDA プログラミング入門](http://accc.riken.jp/secure/4467/cuda-programming_main.pdf) (PDF) - 青山幸也(独立行政法人 理化学研究所 情報基盤センター)


####グラフィックユーザーインターフェイス

* [Qtプログラミング入門](http://densan-labs.net/tech/qt/) - @nishio_dens
* [入門GTK+ 第3版](http://www.iim.ics.tut.ac.jp/~sugaya/wiki/wiki/index.php?GTK%2FGNOME%A4%CB%A4%E8%A4%EBGUI%A5%D7%A5%ED%A5%B0%A5%E9%A5%DF%A5%F3%A5%B0#s8b2472b) (PDF) - 菅谷保之 (豊橋技術科学大学情報工学系)


####正規表現
* [正規表現メモ](http://www.kt.rim.or.jp/~kbk/regex/regex.html) - 木村浩一
* [.NET Framework の正規表現](http://msdn.microsoft.com/ja-jp/library/vstudio/hs600312.aspx) - MSDN Library


####セキュリティ
* [セキュア・プログラミング講座](http://www.ipa.go.jp/security/awareness/vendor/programmingv2/index.html) - 独立行政法人情報処理推進機構(IPA)
* [安全なウェブサイトの作り方](http://www.ipa.go.jp/files/000017316.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [安全なSQLの呼び出し方](http://www.ipa.go.jp/files/000017320.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [ウェブ健康診断仕様](http://www.ipa.go.jp/files/000017319.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)


####ソフトウェアアーキテクチャ

* [Java プログラマのためのデザインパターン入門](http://objectclub.jp/technicaldoc/pattern/DPforJavaProgrammers) - 平鍋健児, 山田健志 (株式会社永和システムマネジメント)
* [ギコ猫とデザインパターン](http://www.hyuki.com/dp/cat_index.html) - 結城浩
* [サルでもわかる 逆引きデザインパターン](http://www.nulab.co.jp/designPatterns/designPatterns1/designPatterns1-1.html) - Agata Toshitaka
* [チャートで解るリファクタリング](http://objectclub.jp/technicaldoc/refactoring/u_s_r) - 梅田政利 (株式会社永和システムマネジメント)


####ソフトウェア品質


* [組込みソフトウェア開発における品質向上の勧め [ユーザビリティ編] ](http://www.ipa.go.jp/files/000005114.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア開発における品質向上の勧め [設計モデリング編]](http://www.ipa.go.jp/files/000005113.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア開発における品質向上の勧め（コーディング編）](http://www.ipa.go.jp/files/000005106.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア開発におけるプロジェクトマネジメント導入の勧め](http://www.ipa.go.jp/files/000005105.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みシステムの安全性向上の勧め（機能安全編）](http://www.ipa.go.jp/files/000005118.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア開発における品質向上の勧め［テスト編～事例集～］](http://www.ipa.go.jp/files/000005149.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [組込みソフトウェア開発における品質向上の勧め [バグ管理手法編]](http://www.ipa.go.jp/files/000027629.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)
* [高信頼化ソフトウェアのための開発手法ガイドブック](http://www.ipa.go.jp/files/000005144.pdf) (PDF) - 独立行政法人 情報処理推進機構(IPA)


####その他の話題

* [徹底解剖「G1GC」実装編](http://www.narihiro.info/g1gc-impl-book/) - 中村成洋
* [一般教養としてのGarbage Collection](http://matsu-www.is.titech.ac.jp/~endo/gc/gc.pdf) (PDF) - 遠藤敏夫 (東京工業大学大学院情報理工学研究科)
* [ケヴィン・ケリー著作選集　１](http://tatsu-zine.com/books/kk1) - ケヴィン・ケリー, 堺屋七左衛門(翻訳)
* [ケヴィン・ケリー著作選集　２](http://tatsu-zine.com/books/kk2) - ケヴィン・ケリー, 堺屋七左衛門(翻訳)
* [青木靖 翻訳集](http://www.aoky.net/) - 青木靖
* [川合史朗 翻訳集](http://practical-scheme.net/index-j.html) - 川合史朗


###AppleScript

* [AppleScript 最速基本文法マスター](http://mc909j.blogspot.jp/2013/03/applescript.html) - Tsutomu
* [Applescriptのごく基本的なサンプル](http://www.asahi-net.or.jp/~va5n-okmt/factory/applescript/sample_code/) - Okamoto
* [Bash でやってることを AppleScript でやろうとするとこうなる](http://qiita.com/mattintosh4/items/353c57ba75eda20af3c4) - id:mattintosh4
* [AppleScript 言語ガイド(改訂版)](https://sites.google.com/site/zzaatrans/home/applescriptlangguide)


###AWK

* [AWKの第一歩](http://lagendra.s.kanazawa-u.ac.jp/ogurisu/manuals/awk/intro/index.html) - 小栗栖修 (金沢大学理学部計算科学科)
* [Effective AWK Programming](http://www.kt.rim.or.jp/~kbk/gawk-30/gawk_toc.html) - Arnold D. Robbins


###Bash

* [Bash基礎文法最速マスター](http://d.hatena.ne.jp/nattou_curry_2/20100131/1264910483) - id:nattou_curry
* [UNIX & Linux コマンド・シェルスクリプト リファレンス](http://shellscript.sunone.me/) - SUNONE


###C

* [Ｃプログラミング診断室](http://www.pro.or.jp/~fuji/mybooks/cdiag/index.html) - 藤原博文
* [猫でもわかるプログラミング](http://kumei.ne.jp/c_lang/) - 粂井康孝
* [計算物理のためのC/C++言語入門](http://www-cms.phys.s.u-tokyo.ac.jp/~naoki/CIPINTRO/) - 渡辺尚貴
* [C言語](http://ja.wikibooks.org/wiki/C%E8%A8%80%E8%AA%9E) - Wikibooks


###C++

* [C++入門](http://www.asahi-net.or.jp/~yf8k-kbys/newcpp0.html) - 小林健一郎 (静岡産業大学国際情報学部)
* [ロベールのＣ＋＋教室](http://www7b.biglobe.ne.jp/~robe/cpphtml/) - ロベール
* [cpprefjp - C++ Reference Site in Japanese](https://sites.google.com/site/cpprefjp/)
* [C++11の文法と機能(C++11: Syntax and Feature)](https://ezoeryou.github.com/cpp-book/C++11-Syntax-and-Feature.xhtml)


###CoffeeScript

* [The Little Book on CoffeeScript](http://minghai.github.io/library/coffeescript/index.html) - Alex MacCaw
* [CoffeeScript 言語リファレンス](http://memo.sappari.org/coffeescript/coffeescript-langref)
* [基本操作逆引きリファレンス（CoffeeScript）](http://kyu-mu.net/coffeescript/revref/) - 飯塚直
* [正規表現リファレンス（CoffeeScript)](http://kyu-mu.net/coffeescript/regexp/) - 飯塚直


###Common Lisp

* [Common Lisp 入門](http://www.geocities.jp/m_hiroi/xyzzy_lisp.html) - 広井誠
* [LISP and PROLOG](http://home.soka.ac.jp/~unemi/LispProlog/) - 畝見達夫
* [マンガで分かるLisp(Manga Guide to Lisp)](http://lambda.bugyo.tk/cdr/mwl/) - λ組


###Emacs Lisp

* [Emacs Lisp基礎文法最速マスター](http://d.hatena.ne.jp/rubikitch/20100201/elispsyntax) - id:rubikitch
* [GNU Emacs Lispリファレンスマニュアル](http://www.bookshelf.jp/texi/elisp-manual/21-2-8/jp/elisp.html)


###Erlang

* [お気楽 Erlang プログラミング入門](http://www.geocities.jp/m_hiroi/func/erlang.html) - 広井誠
* [Learn you some Erlang for great good!](http://www.ymotongpoo.com/works/lyse-ja/)


###Git

* [Pro Git](http://progit-ja.github.io/) (PDF, EPUB, MOBI) - Scott Chacon, 高木正弘 他(翻訳)
* [Git ユーザマニュアル (バージョン 1.5.3 以降用)](http://cdn8.atwikiimg.com/git_jp/pub/git-manual-jp/Documentation/user-manual.html) - Yasuaki Narita

###Go

* [Goプログラミング言語のチュートリアル](http://golang.jp/go_tutorial)


###Haskell

* [Haskell基礎文法最速マスター](http://d.hatena.ne.jp/ruicc/20100131/1264905896) - id:ruicc
* [お気楽 Haskell プログラミング入門](http://www.geocities.jp/m_hiroi/func/haskell.html) - 広井誠


###Haxe

* [Haxe 言語リファレンス](http://haxe.org/ref?lang=jp)


###Java

* [Java基礎文法最速マスター](http://d.hatena.ne.jp/nattou_curry_2/20100130/1264821094) - id:nattou_curry
* [お気楽 Java プログラミング入門](http://www.geocities.jp/m_hiroi/java/index.html) - 広井誠
* [頑健なJavaプログラムの書き方](http://www.alles.or.jp/~torutk/oojava/codingStandard/writingrobustjavacode.html) - Scott W. Ambler, 高橋徹(翻訳)


###JavaScript

* [JavaScript基礎文法最速マスター](http://gifnksm.hatenablog.jp/entry/20100131/1264934942) - id:gifnksm
* [Mozilla Developer Network 日本語ドキュメント](https://developer.mozilla.org/ja/docs/Web/JavaScript) - MDN
* [JavaScript 言語リファレンス](http://msdn.microsoft.com/ja-jp/library/d1et7k7c.aspx) - MSDN Library
* [JavaScript Programming](http://www.geocities.jp/m_hiroi/light/javascript.html) - 広井誠
* [一撃必殺JavaScript日本語リファレンス](http://www.openspc2.org/JavaScript/) - 古籏一浩


####Backbone.js

* [Backboneドキュメント日本語訳](https://github.com/enja-oss/Backbone) (GitHub)


####D3.js

* [D3 チュートリアル](http://ja.d3js.info/alignedleft/tutorials/d3/) - Scott Murray, h.sakai(翻訳)


####jQuery

* [jQuery日本語リファレンス](http://semooh.jp/jquery/) - semooh.jp
* [jQuery UI API 1.8.4 日本語リファレンス](http://stacktrace.jp/jquery/ui/) - いけまさ


####Node.js

* [Nodeビギナーズブック](http://www.nodebeginner.org/index-jp.html) - Manuel Kiessling, Yuki Kawashima(翻訳)
* [node.js 怒濤の50サンプル!! – socket.io編](https://github.com/omatoro/NodeSample) (GitHub) - omatoro


###LaTeX

* [TeX入門 TeX Wiki](http://oku.edu.mie-u.ac.jp/~okumura/texwiki/?TeX%E5%85%A5%E9%96%80) - 奥村晴彦(三重大学教育学部)
* [TeX入門](http://www.comp.tmu.ac.jp/tsakai/lectures/intro_tex.html) - 酒井高司(首都大学東京大学院理工学研究科)
* [TeX/LaTeX入門](http://ja.wikibooks.org/wiki/TeX/LaTeX%E5%85%A5%E9%96%80) - Wikibooks

###Lua

* [Lua 5.1 リファレンスマニュアル](http://milkpot.sakura.ne.jp/lua/lua51_manual_ja.html) - Lua.org, PUC-Rio.
* [Lua Programming](http://www.geocities.jp/m_hiroi/light/lua.html) - 広井誠
* [Luaプログラミング入門](http://densan-labs.net/tech/lua/) - @nishio_dens


###NoSQL

* [MongoDBの薄い本](http://www.cuspy.org/diary/2012-04-17/the-little-mongodb-book-ja.pdf) (PDF) - Karl Seguin, 濱野司(翻訳)
* [Hibari アプリケーション開発者ガイド](http://hibari.github.io/hibari-doc/hibari-app-developer-guide.ja.html)


###Objective-C

* [Objective-C 最速基礎文法マスター](http://d.hatena.ne.jp/fn7/20100203/1265207098) -id:fn7
* [Objective-Cによるプログラミング](https://developer.apple.com/jp/devcenter/ios/library/documentation/ProgrammingWithObjectiveC.pdf) (PDF) - Apple Developer
* [Objective-Cプログラミング言語](https://developer.apple.com/jp/devcenter/ios/library/documentation/ObjC.pdf) (PDF) - Apple Developer
* [Objective-C プログラミングの概念](https://developer.apple.com/jp/devcenter/ios/library/documentation/CocoaEncyclopedia.pdf) (PDF) - Apple Developer


###OCaml

* [Objective Caml 入門](http://www.fos.kuis.kyoto-u.ac.jp/~t-sekiym/classes/isle4/mltext/ocaml.html) - 五十嵐淳(京都大学工学部情報学科)
* [お気楽 OCaml プログラミング入門](http://www.geocities.jp/m_hiroi/func/ocaml.html) - 広井誠


###Perl

* [Perl基礎文法最速マスター](http://d.hatena.ne.jp/perlcodesample/20091226/1264257759) - 木本裕紀
* [Perlのコアドキュメント](http://perldoc.jp/index/core) - 一般社団法人 Japan Perl Association (JPA)
* [2時間半で学ぶPerl](http://qntm.org/files/perl/perl_jp.html) - Sam Hughes, Kato Atsusi(翻訳)
* [Perl](http://ja.wikibooks.org/wiki/Perl) - Wikibooks


###Processing

* [Processingクイックリファレンス](http://www.musashinodenpa.com/p5/) - 株式会社武蔵野電波
* [Processing 学習ノート](http://www.d-improvement.jp/learning/processing/) - @mathatelle
* [Processing入門講座](http://ap.kakoku.net/index.html) - maeda


###PHP

* [PHP基礎文法最速マスター](http://www.1x1.jp/blog/2010/01/php-basic-syntax.html) - 新原雅司
* [PHP マニュアル](http://www.php.net/manual/ja/) - The PHP Group
* [PHPによるデザインパターン入門](http://www.doyouphp.jp/book/book_phpdp.shtml)
* [PHP4徹底攻略改訂版](http://net-newbie.com/support/pdf2/)


###PowerShell

* [PowerShell基礎文法最速マスター](http://winscript.jp/powershell/202) - 牟田口大介
* [Windows PowerShell コア](http://technet.microsoft.com/ja-jp/library/bb978525.aspx) - Microsoft TechNet


###Prolog

* [Prolog プログラミング入門](http://bach.istc.kobe-u.ac.jp/prolog/intro/) - 田村直之(神戸大学情報基盤センター)
* [お気楽 Prolog プログラミング入門](http://www.geocities.jp/m_hiroi/prolog/index.html) - 広井誠
* [LISP and PROLOG](http://home.soka.ac.jp/~unemi/LispProlog/) - 畝見達夫


###Python

* [Python基礎文法最速マスター](http://d.hatena.ne.jp/dplusplus/20100126/p1) - id:dplusplus
* [Python 2.7.2 ドキュメント日本語訳](http://docs.python.jp/2.7/) - Python Software Foundation
* [Python の学習](http://skitazaki.github.io/python-school-ja/index.html) - KITAZAKI Shigeru


###R

* [R 入門](http://cran.r-project.org/doc/contrib/manuals-jp/R-intro-170.jp.pdf) (PDF) - W. N. Venables, D. M. Smith and the R Development Core Team, 間瀬茂(東京工業大学)(翻訳)

* [R 言語定義](http://cran.r-project.org/doc/contrib/manuals-jp/R-lang.jp.v110.pdf) (PDF) - R Development Core Team, 間瀬茂(東京工業大学)(翻訳)
* [R 基本統計関数マニュアル](http://cran.r-project.org/doc/contrib/manuals-jp/Mase-Rstatman.pdf) (PDF) - 間瀬茂(東京工業大学)
* [R-Tips](http://cse.naro.affrc.go.jp/takezawa/r-tips/r2.html) - 舟尾暢男
* [統計解析フリーソフトRの備忘録](http://cse.naro.affrc.go.jp/takezawa/r-tips.pdf) (PDF) - 竹澤邦夫(独立行政法人農業・食品産業技術総合研究機構 中央農業総合研究センター)
* [Rによる保健医療データ解析演習](http://minato.sip21c.org/msb/medstatbook.pdf) (PDF) - 中澤港(群馬大学医学部)
* [Rによる統計解析の基礎](http://minato.sip21c.org/statlib/stat.pdf) (PDF) - 中澤港(群馬大学医学部)
* [無料統計ソフトRで心理学](http://blue.zero.jp/yokumura/Rhtml/Haebera2002.html) - 奥村泰之(一般財団法人 医療経済研究・社会保険福祉協会)


###Ruby

* [Ruby基礎文法最速マスター](http://route477.net/d/?date=20100125)
* [Ruby リファレンスマニュアル](https://www.ruby-lang.org/ja/documentation/) - まつもとゆきひろ
* [Rubyソースコード完全解説](http://i.loveruby.net/ja/rhg/book/) - 青木峰郎
* [ホワイの(感動的)Rubyガイド](http://www.aoky.net/articles/why_poignant_guide_to_ruby/) - why the lucky stiff, 青木靖(翻訳)
* [お気楽 Ruby プログラミング入門](http://www.geocities.jp/m_hiroi/light/ruby.html) - 広井誠


###Scheme

* [Gauche ユーザリファレンス](http://practical-scheme.net/gauche/man/gauche-refj.html) - 川合史朗
* [お気楽 Scheme プログラミング入門](http://www.geocities.jp/m_hiroi/func/scheme.html) - 広井誠
* [Scheme](http://ja.wikibooks.org/wiki/Scheme) - Wikibooks


###Standard ML

* [プログラミング言語SML#解説](http://www.pllab.riec.tohoku.ac.jp/smlsharp/docs/1.0/ja/manual.xhtml) - 大堀淳, 上野 雄大(東北大学電気通信研究所)
* [お気楽 Standard ML of New Jersey 入門](http://www.geocities.jp/m_hiroi/func/index.html#sml) - 広井誠


###Squeak

* [自由自在 Squeakプログラミング](http://swikis.ddo.jp/squeak/13) - 梅澤真史


###Tcl/Tk

* [Tcl/Tk お気楽 GUI プログラミング](http://www.geocities.jp/m_hiroi/tcl_tk_doc/tcltk_doc.html) - 広井誠
* [Tcl/TkでWindowsプログラミング](http://homepage3.nifty.com/kaku-chan/tcl_tk/) - KAKU-Chan
* [Tcl/Tk入門](http://aoba.cc.saga-u.ac.jp/lecture/TclTk/text.pdf) (PDF) - 只木進一(佐賀大学理工学部)


###VBA

* [VBA基礎文法最速マスター](http://d.hatena.ne.jp/nattou_curry_2/20100129/1264787849) - id:nattou_curry
* [Office 2013 Visual Basic for Applications 言語リファレンス](http://msdn.microsoft.com/ja-jp/library/office/gg264383.aspx) - MSDN Library
* [Excel 2013 で学ぶ Visual Basic for Applications (VBA)](http://brain.cc.kogakuin.ac.jp/~kanamaru/lecture/vba2013/index.html) - 金丸隆志(工学院大学)

###Vim

* [Vimスクリプト基礎文法最速マスター](http://d.hatena.ne.jp/thinca/20100201/1265009821) - id:thinca
* [Vimスクリプトリファレンス](http://nanasi.jp/code.html) - 小見拓
